package net.sf.statscm;

import junit.framework.TestCase;

public class StatScmMojoTest extends TestCase {

	public final void testBuildIncludeExcludeString() {
		StatScmMojo mojo = new StatScmMojo();

		String[] list = { "a", "b", "c" };
		String result = mojo.buildIncludeExcludeString(list);
		assertEquals("String builder messed up", "a;b;c", result);
	}

	/**
	 * The question is: Do we ignore embedded characters that are supposed to be
	 * delimiters in the result? 12/07 LMM solution is to print warning
	 */
	public final void testBuildIncludeExcludeStringSemi() {
		StatScmMojo mojo = new StatScmMojo();

		String[] list = { "a", "b", "c;d" };
		String result = mojo.buildIncludeExcludeString(list);
		assertEquals("String builder messed up", "a;b;c;d", result);
	}

	/**
	 * The question is: Do we ignore embedded characters that are supposed to be
	 * delimiters in the result? 12/07 LMM solution is to print warning
	 */
	public final void testBuildIncludeExcludeStringColon() {
		StatScmMojo mojo = new StatScmMojo();

		String[] list = { "a", "b", "c:d" };
		String result = mojo.buildIncludeExcludeString(list);
		assertEquals("String builder messed up", "a;b;c:d", result);
	}

}
